=== debian/control ===
Source: ros-noetic-scan-tools
Section: misc
Priority: optional
Maintainer: Carlos <cjaramillo@gc.cuny.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/scan_tools
Standards-Version: 3.9.2

Package: ros-noetic-scan-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-laser-ortho-projector, ros-noetic-laser-scan-matcher, ros-noetic-laser-scan-sparsifier, ros-noetic-laser-scan-splitter, ros-noetic-ncd-parser, ros-noetic-polar-scan-matcher, ros-noetic-scan-to-cloud-converter
Description: Laser scan processing tools.
